Bug 455507 - Review Request: jsmin - JavaScript minifier
Review Request: jsmin - JavaScript minifier
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-07-15 15:42 EDT by Dave Malcolm
Modified: 2009-08-13 10:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 14:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2008-07-15 15:42:46 EDT
Spec URL: http://dmalcolm.fedorapeople.org/jsmin.spec
SRPM URL: http://dmalcolm.fedorapeople.org/jsmin-2007_12_04-1.src.rpm
Description: 
jsmin is a JavaScript minifier.  It removes comments and unnecessary whitespace
from JavaScript files, typically achieving 50% reductions in download sizes.


Note to reviewer: I've marked license as "MIT", as it appears to be fairly standard MIT license, however it has the text: "The Software shall be used for Good, not Evil."

Full text of license is:
/* jsmin.c
   2007-12-04

Copyright (c) 2002 Douglas Crockford  (www.crockford.com)

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

The Software shall be used for Good, not Evil.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/
Comment 1 Jason Tibbitts 2008-08-10 16:29:13 EDT
I don't know if the issue of the weird license was ever resolved on-list; blocking FE-Legal to hopefully get a clear statement in this ticket.
Comment 2 Toshio Ernie Kuratomi 2008-09-02 00:41:33 EDT
I had a package with a file licensed with the same "Good, not Evil" clause.  Although it's something of a joke, the clause does render the license non-Free in the free software sense.  If the license text can be relaxed slightly to be non-binding then it would be okay.
Comment 3 Dave Malcolm 2008-09-02 10:59:00 EDT
I can approach upstream, but what is the exact problem here; are you interpreting the clause as a "limitation against a field of endeavor"?  Thanks
Comment 4 Tom "spot" Callaway 2008-09-02 12:22:36 EDT
Basically, the concern is that "shall be used for good, not evil" constitutes a use restriction. Not only that, it is a vague use restriction, where the definitions of "good" and "evil" are not defined in the terms of the license.

Upstream needs to take one of the following actions for this to be okay for Fedora (in order of preference):

1. Drop that line entirely.
2. No, really. Drop that line entirely. Licenses are not the appropriate place for such "joke text".
3. Change the line to read something like "The software should be used for Good, not Evil." This makes it a suggestion, not a use-restriction.
Comment 5 Dave Malcolm 2008-09-02 12:46:30 EDT
Thanks; I've emailed the author asking for the text to be removed/changed.
Comment 6 Dave Malcolm 2008-09-03 14:01:03 EDT
Unfortunately, the author is unwilling to change the license text, so I'm going to have to close this one as "can't fix"

Thanks to everyone for your help, in any case.
Comment 7 Christopher Curran 2009-08-13 03:10:04 EDT
IANAL but given the various interpretations of good and evil I think this is not an issue. All we need is to find an appropriate thesis which shows good and evil do not exist or that good and evil are overlapping variables. If good can be evil in context and the equivalent event evil not good then there is no problem as the license negates itself. I say that it is moral to accept his software as sufficiently free and save discussions of morality for the pub, where real philosophy occurs.

Chris
Comment 8 Tom "spot" Callaway 2009-08-13 10:10:06 EDT
Red Hat Legal (who are lawyers) disagree.

Its a bad license, with unenforceable clauses.

Note You need to log in before you can comment on or make changes to this bug.